For the latest news and information visit The GNU Crypto project

## gnu.crypto.sasl.srp
Class KDF

    java.lang.Object
      |
      +--gnu.crypto.sasl.srp.KDF

public class KDF
extends java.lang.Object

The SASL-SRP KDF implementation, which is also used, depending on how it was instantiated, as a secure Pseudo Random Number Generator.

Method Summary
`byte[]` `derive(int length)` Returns a designated number of bytes suitable for use in the SASL SRP mechanism.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### derive

    public byte[] derive(int length)

  Returns a designated number of bytes suitable for use in the SASL SRP mechanism.

  Parameters:
    `length` - the number of bytes needed.
  Returns:
    a byte array containing the generated/selected bytes.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.